import request from '@/utils/request.js'
import axios from 'axios'
var CancelToken = axios.CancelToken
export default {
  upload(url, data, row) {
    return request({
      type: 'file',
      url: url,
      method: 'post',
      onUploadProgress: (e) => {
        row.percentage = (e.loaded / e.total) * 100
      },
      cancelToken: new CancelToken((c) => {
        row.cancel = c
        // cancel.push({ uid: row.uid, method: c })
      }),
      data
    })
  },
  remove(url, fileId) {
    return request({
      url: url,
      method: 'post',
      data: fileId
    })
  }
}
