import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'
import app from './modules/app'
import router from './modules/router'
import tagsView from './modules/tags_view'
import user from './modules/user'
import drag from './modules/drag'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    router,
    tagsView,
    user,
    drag
  },
  getters
})

export default store
