import router from '@/router'

router.beforeEach(function(to, from, next) {
  // 本地开发无法登录，获取线上token后本地写死
  if (process.env.NODE_ENV === 'development') {
    let userInfo = {
      token:
        'eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJhZG1pbiIsImV4cCI6MTYyNDM1ODc3NCwiaWF0IjoxNjI0MjcyMzc0fQ.7Wp1rFrbyixIw6sErFHuyui7pZIOvXQmbXya5IkAjOCPLNtK-T5b8aCcs3qusYscLZ6QRQgxqaoAeA0f5J-uIQ',
      username: '超级管理员',
      account: 'admin',
      userId: '1'
    }
    sessionStorage.setItem('ngStorage-currentUser', JSON.stringify(userInfo))
    return next()
  }
  if (to.meta.anonymous) {
    next()
  } else if (sessionStorage.getItem('ngStorage-currentUser')) {
    // 如果已登录
    next()
  } else {
    location.href = process.env.VUE_APP_API_HOST + '/#/login'
  }
})
