import request from '@/utils/request.js'

export default {
  // 保存
  addDragPage(data) {
    return request({
      url: '/customer/api/appletsMarket/customer/v1/member/add',
      method: 'post',
      data
    })
  },
  updateDragPage(data) {
    // 编辑
    return request({
      url: '/customer/api/appConf/v1/appletsPageModel/update',
      method: 'put',
      data
    })
  },
  getDragPage(pageId) {
    return request({
      url: `/customer/api/appConf/v1/appletsPageModel/get/${pageId}`,
      method: 'get'
    })
  },
  getMarketList(data) {
    return request({
      url: '/customer/api/appConf/v1/appletsPageModel/marketList',
      method: 'post',
      data
    })
  },
  getActivityList(data) {
    return request({
      url: '/customer/api/appConf/v1/appModelActive/activeList',
      method: 'post',
      data
    })
  },
  getSjActivityList(data) {
    // 获取世集活动列表
    return request({
      url: '/customer/api/appletsMarket/customer/v1/member/getAllHotActive',
      method: 'post',
      data
    })
  },
  getThree(userid) {
    // 获取组织节点
    return request({
      url: `/uc/api/org/v1/org/getAuthOrgList?userId=${userid}&demCode=sjzb`,
      method: 'GET'
    })
  }
}
