import request from '@/utils/request.js'

export default {
  getSSOInfo() {
    return request({
      url: '/uc/sso/info',
      method: 'get'
    })
  },
  ssoLogin(params) {
    return request({
      url: '/uc/sso/auth',
      method: 'get',
      params
    })
  },
  getUserRole() {
    return request({
      url: '/invest/v1/project/getUserRole',
      method: 'post'
    })
  },
  pwdLogin() {
    return request({
      url: '/uc/auth',
      method: 'post'
    })
  }
}
