import Layout from '@/views/layout/index.vue'

const demo = {
  path: '/drag',
  component: Layout,
  meta: {
    title: '页面配置',
    icon: 'el-icon-coffee-cup',
    // hidden: true
    public: true
  },
  children: [
    {
      path: '',
      name: 'dragListPage',
      meta: {
        title: '页面列表',
        public: true,
        link: process.env.VUE_APP_API_HOST + '/#/appConf/appPageModel',
        target: '_self'
      }
    },
    {
      path: 'drag-painting',
      name: 'dragPainting',
      component: () => import('@/views/drag/drag_painting/index.vue'),
      meta: {
        title: '页面生成',
        public: true
      }
    } /* ,
    {
      path: 'drag-demo',
      name: 'dragDemo',
      meta: {
        title: 'H5展示',
        link: window.location.origin + process.env.VUE_APP_BASE_URL + 'drag-demo'
      }
    } */
  ]
}

export default demo
